"""Add Site workflows.

Revision ID: 91047dd30b40
Revises: 97436160a422
Create Date: 2023-08-14 15:42:35.450032

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "91047dd30b40"
down_revision = "97436160a422"
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "create_site",
        "target": "CREATE",
        "description": "Create Site",
        "product_type": "Site",
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
